<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xkbConfigRegistry SYSTEM "xkb.dtd">
<xkbConfigRegistry>
  <modelList/>
  <layoutList>
    <layout>
      <configItem popularity="exotic">
        <name>apl</name>
        <shortDescription>apl</shortDescription>
        <description>APL</description>
        <languageList>
          <iso639Id>eng</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>dyalog</name>
            <shortDescription>dlg</shortDescription>
            <description>APL symbols (Dyalog APL)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sax</name>
            <shortDescription>sax</shortDescription>
            <description>APL symbols (SAX, Sharp APL for Unix)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>unified</name>
            <shortDescription>ufd</shortDescription>
            <description>APL symbols (unified)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>apl2</name>
            <shortDescription>apl2</shortDescription>
            <description>APL symbols (IBM APL2)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>aplplusII</name>
            <shortDescription>aplII</shortDescription>
            <description>APL symbols (Manugistics APL*PLUS II)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>aplx</name>
            <shortDescription>aplx</shortDescription>
            <description>APL symbols (APLX unified)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>ca</name>
        <shortDescription>fr</shortDescription>
        <description>French (Canada)</description>
        <languageList>
          <iso639Id>fra</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>kut</name>
            <shortDescription>kut</shortDescription>
            <description>Kutenai</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>shs</name>
            <shortDescription>shs</shortDescription>
            <description>Secwepemctsin</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Multilingual (Canada, Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>de</name>
        <shortDescription>de</shortDescription>
        <description>German</description>
        <languageList>
          <iso639Id>ger</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>hu</name>
            <description>German (with Hungarian letters, no dead keys)</description>
            <languageList>
              <iso639Id>ger</iso639Id>
              <iso639Id>hun</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>pl</name>
            <description>Polish (Germany, no dead keys)</description>
            <languageList>
              <iso639Id>ger</iso639Id>
              <iso639Id>pol</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>German (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>adnw</name>
            <description>German (Aus der Neo-Welt)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>koy</name>
            <description>German (KOY)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>bone</name>
            <description>German (Bone)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>bone_eszett_home</name>
            <description>German (Bone, eszett in the home row)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>neo_qwertz</name>
            <description>German (Neo, QWERTZ)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>neo_qwerty</name>
            <description>German (Neo, QWERTY)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>ru-recom</name>
            <!-- Keyboard indicator for Russian layouts -->
            <shortDescription>ru</shortDescription>
            <description>Russian (Germany, recommended)</description>
            <languageList>
              <iso639Id>rus</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>ru-translit</name>
            <!-- Keyboard indicator for Russian layouts -->
            <shortDescription>ru</shortDescription>
            <description>Russian (Germany, transliteration)</description>
            <languageList>
              <iso639Id>rus</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>lld</name>
            <shortDescription>de_lld</shortDescription>
            <description>German (Ladin)</description>
            <languageList>
              <iso639Id>ger</iso639Id>
              <iso639Id>lld</iso639Id>
            </languageList>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>eg</name>
        <shortDescription>ⲕⲏⲙⲉ</shortDescription>
        <description>Coptic</description>
        <languageList>
          <iso639Id>cop</iso639Id>
          <iso639Id>egy</iso639Id>
        </languageList>
      </configItem>
    </layout>
    <layout>
      <configItem>
        <name>hu</name>
        <description>Hungarian</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>oldhun</name>
            <shortDescription>oldhun</shortDescription>
            <description>Old Hungarian</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>ohu_lig</name>
            <shortDescription>ohu_lig</shortDescription>
            <description>Old Hungarian (for ligatures)</description>
          </configItem>
        </variant>

      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>ir</name>
        <shortDescription>fa</shortDescription>
        <description>Persian</description>
        <languageList>
          <iso639Id>per</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>ave</name>
            <description>Avestan</description>
            <languageList>
              <iso639Id>ave</iso639Id>
            </languageList>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>lt</name>
        <shortDescription>lt</shortDescription>
        <description>Lithuanian</description>
        <languageList>
          <iso639Id>lit</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>us_dvorak</name>
            <description>Lithuanian (Dvorak)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Lithuanian (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>lv</name>
        <shortDescription>lv</shortDescription>
        <description>Latvian</description>
        <languageList>
          <iso639Id>lav</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>dvorak</name>
            <description>Latvian (Dvorak)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>ykeydvorak</name>
            <description>Latvian (Dvorak, with Y)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>minuskeydvorak</name>
            <description>Latvian (Dvorak, with minus)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>dvorakprogr</name>
            <description>Latvian (programmer Dvorak)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>ykeydvorakprogr</name>
            <description>Latvian (programmer Dvorak, with Y)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>minuskeydvorakprogr</name>
            <description>Latvian (programmer Dvorak, with minus)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>colemak</name>
            <description>Latvian (Colemak)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>apostrophecolemak</name>
            <description>Latvian (Colemak, with apostrophe)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Latvian (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>us</name>
        <shortDescription>en</shortDescription>
        <description>English (US)</description>
        <languageList>
          <iso639Id>eng</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>intl-unicode</name>
            <description>English (US, intl., AltGr Unicode combining)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>alt-intl-unicode</name>
            <description>English (US, intl., AltGr Unicode combining, alt.)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>ats</name>
            <description>Atsina</description>
            <!-- No ISO code in ISO639-2, only draft ISO693-3 -->
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>crd</name>
            <description>Coeur d'Alene Salish</description>
            <languageList>
              <iso639Id>crd</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>cz_sk_de</name>
            <description>Czech Slovak and German (US)</description>
            <languageList>
              <iso639Id>eng</iso639Id>
              <iso639Id>cze</iso639Id>
              <iso639Id>slo</iso639Id>
              <iso639Id>ger</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>drix</name>
            <description>English (Drix)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>de_se_fi</name>
            <description>German, Swedish and Finnish (US)</description>
            <languageList>
              <iso639Id>eng</iso639Id>
              <iso639Id>ger</iso639Id>
              <iso639Id>swe</iso639Id>
              <iso639Id>fin</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>ibm238l</name>
            <description>English (US, IBM Arabic 238_L)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>English (US, Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>carpalx</name>
            <description>English (Carpalx)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>carpalx-intl</name>
            <description>English (Carpalx, intl., with dead keys)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>carpalx-altgr-intl</name>
            <description>English (Carpalx, intl., with AltGr dead keys)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>carpalx-full</name>
            <description>English (Carpalx, full optimization)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>carpalx-full-intl</name>
            <description>English (Carpalx, full optimization, intl., with dead keys)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>carpalx-full-altgr-intl</name>
            <description>English (Carpalx, full optimization, intl., with AltGr dead keys)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>3l</name>
            <description>English (3l)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>3l-cros</name>
            <description>English (3l, Chromebook)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>3l-emacs</name>
            <description>English (3l, emacs)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>scn</name>
            <description>Sicilian (US keyboard)</description>
            <languageList>
              <iso639Id>eng</iso639Id>
              <iso639Id>ita</iso639Id>
              <iso639Id>scn</iso639Id>
            </languageList>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>pl</name>
        <shortDescription>pl</shortDescription>
        <description>Polish</description>
        <languageList>
          <iso639Id>pol</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>intl</name>
            <description>Polish (intl., with dead keys)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>colemak</name>
            <description>Polish (Colemak)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Polish (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>glagolica</name>
            <description>Polish (Glagolica)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>ro</name>
        <shortDescription>ro</shortDescription>
        <description>Romanian</description>
        <languageList>
          <iso639Id>rum</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>crh_dobruja</name>
            <shortDescription>crh</shortDescription>
            <description>Crimean Tatar (Dobruja Q)</description>
            <languageList>
              <iso639Id>crh</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>ergonomic</name>
            <description>Romanian (ergonomic Touchtype)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Romanian (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>rs</name>
        <shortDescription>sr</shortDescription>
        <description>Serbian</description>
        <languageList>
          <iso639Id>srp</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>combiningkeys</name>
            <description>Serbian (combining accents instead of dead keys)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>ru</name>
        <shortDescription>ru</shortDescription>
        <description>Russian</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>chu</name>
            <description>Church Slavonic</description>
            <languageList>
              <iso639Id>chu</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>ruu</name>
            <shortDescription>ru</shortDescription>
            <description>Russian (with Ukrainian-Belorussian layout)</description>
            <languageList>
              <iso639Id>rus</iso639Id>
              <iso639Id>ukr</iso639Id>
              <iso639Id>bel</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>rulemak</name>
            <description>Russian (Rulemak, phonetic Colemak)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>phonetic_mac</name>
            <description>Russian (phonetic Macintosh)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Russian (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>unipunct</name>
            <description>Russian (with US punctuation)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>prxn</name>
            <shortDescription>ru</shortDescription>
            <description>Russian (Polyglot and Reactionary)</description>
            <countryList>
              <iso3166Id>RU</iso3166Id>
              <iso3166Id>RS</iso3166Id>
              <iso3166Id>BA</iso3166Id>
              <iso3166Id>ME</iso3166Id>
              <iso3166Id>MK</iso3166Id>
              <iso3166Id>BG</iso3166Id>
              <iso3166Id>MD</iso3166Id>
              <iso3166Id>UA</iso3166Id>
              <iso3166Id>BY</iso3166Id>
              <iso3166Id>KZ</iso3166Id>
              <iso3166Id>MN</iso3166Id>
              <iso3166Id>KG</iso3166Id>
              <iso3166Id>TJ</iso3166Id>
              <iso3166Id>UZ</iso3166Id>
              <iso3166Id>TM</iso3166Id>
              <iso3166Id>AZ</iso3166Id>
            </countryList>
            <languageList>
              <iso639Id>rus</iso639Id>
              <iso639Id>rus-petr1708</iso639Id>
              <iso639Id>ukr</iso639Id>
              <iso639Id>bel</iso639Id>
              <iso639Id>srp</iso639Id>
              <iso639Id>mkd</iso639Id>
              <iso639Id>bul</iso639Id>
              <iso639Id>chu</iso639Id>
              <iso639Id>rum-Cyrl</iso639Id>
              <iso639Id>kaz</iso639Id>
              <iso639Id>kir</iso639Id>
              <iso639Id>uzb</iso639Id>
              <iso639Id>bak</iso639Id>
              <iso639Id>aze</iso639Id>
              <iso639Id>tat</iso639Id>
              <iso639Id>uig</iso639Id>
              <iso639Id>kdr</iso639Id>
              <iso639Id>tyv</iso639Id>
              <iso639Id>kjh</iso639Id>
              <iso639Id>crh</iso639Id>
              <iso639Id>tgk</iso639Id>
              <iso639Id>abk</iso639Id>
              <iso639Id>sah</iso639Id>
              <iso639Id>mon</iso639Id>
              <iso639Id>kal</iso639Id>
              <iso639Id>sjd</iso639Id>
              <iso639Id>chv</iso639Id>
              <iso639Id>oss</iso639Id>
              <iso639Id>krl</iso639Id>
              <iso639Id>ale</iso639Id>
              <iso639Id>wbl</iso639Id>
              <iso639Id>kur</iso639Id>
              <iso639Id>niv</iso639Id>
              <iso639Id>dng</iso639Id>
              <iso639Id>kom</iso639Id>
              <iso639Id>udm</iso639Id>
              <iso639Id>sel</iso639Id>
              <iso639Id>ulc</iso639Id>
              <iso639Id>ude</iso639Id>
              <iso639Id>oac</iso639Id>
              <iso639Id>oaa</iso639Id>
              <iso639Id>gld</iso639Id>
              <iso639Id>eve</iso639Id>
              <iso639Id>evn</iso639Id>
              <iso639Id>kca</iso639Id>
              <iso639Id>itl</iso639Id>
              <iso639Id>yrk</iso639Id>
              <iso639Id>neg</iso639Id>
            </languageList>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>am</name>
        <shortDescription>hy</shortDescription>
        <description>Armenian</description>
        <languageList>
          <iso639Id>hye</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>olpc-phonetic</name>
            <description>Armenian (OLPC, phonetic)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>il</name>
        <shortDescription>he</shortDescription>
        <description>Hebrew</description>
        <languageList>
          <iso639Id>heb</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>biblicalSIL</name>
            <description>Hebrew (Biblical, SIL phonetic)</description>
            <languageList>
              <iso639Id>heb</iso639Id>
            </languageList>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>ara</name>
        <shortDescription>ar</shortDescription>
        <description>Arabic</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Arabic (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>basic_ext</name>
            <description>Arabic (Arabic numerals, extensions in the 4th level)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>basic_ext_digits</name>
            <description>Arabic (Eastern Arabic numerals, extensions in the 4th level)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>uga</name>
            <description>Ugaritic instead of Arabic</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>be</name>
        <shortDescription>be</shortDescription>
        <description>Belgian</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Belgian (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>br</name>
        <shortDescription>pt</shortDescription>
        <description>Portuguese (Brazil)</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Portuguese (Brazil, Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>cz</name>
        <shortDescription>cs</shortDescription>
        <description>Czech</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Czech (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>prog</name>
            <description>Czech (programming)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>typo</name>
            <description>Czech (typographic)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>coder</name>
            <description>Czech (coder)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>prog_typo</name>
            <description>Czech (programming, typographic)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>dk</name>
        <shortDescription>da</shortDescription>
        <description>Danish</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Danish (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>nl</name>
        <shortDescription>nl</shortDescription>
        <description>Dutch</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Dutch (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>ee</name>
        <shortDescription>et</shortDescription>
        <description>Estonian</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Estonian (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>fi</name>
        <shortDescription>fi</shortDescription>
        <description>Finnish</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Finnish (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>das</name>
            <description>Finnish (DAS)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>fidvorak</name>
            <description>Finnish (Dvorak)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>fr</name>
        <shortDescription>fr</shortDescription>
        <description>French</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>French (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>us-alt</name>
            <description>French (US with dead keys, alt.)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>us-azerty</name>
            <description>French (US, AZERTY)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>gr</name>
        <shortDescription>gr</shortDescription>
        <description>Greek</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Greek (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>colemak</name>
            <description>Greek (Colemak)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>it</name>
        <shortDescription>it</shortDescription>
        <description>Italian</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Italian (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>lld</name>
            <shortDescription>it_lld</shortDescription>
            <description>Italian (Ladin)</description>
            <languageList>
              <iso639Id>it</iso639Id>
              <iso639Id>lld</iso639Id>
            </languageList>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>jp</name>
        <shortDescription>ja</shortDescription>
        <description>Japanese</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Japanese (Sun Type 6)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type7</name>
            <description>Japanese (Sun Type 7, PC-compatible)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type7_suncompat</name>
            <description>Japanese (Sun Type 7, Sun-compatible)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>no</name>
        <shortDescription>no</shortDescription>
        <description>Norwegian</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Norwegian (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>pt</name>
        <shortDescription>pt</shortDescription>
        <description>Portuguese</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Portuguese (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>colemak</name>
            <description>Portuguese (Colemak)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>sk</name>
        <shortDescription>sk</shortDescription>
        <description>Slovak</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>acc</name>
            <description>Slovak (ACC layout, only accented letters)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Slovak (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>es</name>
        <shortDescription>es</shortDescription>
        <description>Spanish</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Spanish (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>se</name>
        <shortDescription>sv</shortDescription>
        <description>Swedish</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>dvorak_a5</name>
            <description>Swedish (Dvorak A5)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Swedish (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>ovd</name>
            <description>Elfdalian (Swedish, with combining ogonek)</description>
            <languageList>
              <iso639Id>ovd</iso639Id>
            </languageList>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>ch</name>
        <shortDescription>de</shortDescription>
        <description>German (Switzerland)</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6_de</name>
            <description>German (Switzerland, Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6_fr</name>
            <description>French (Switzerland, Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>tr</name>
        <shortDescription>tr</shortDescription>
        <description>Turkish</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Turkish (Sun Type 6/7)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>otk</name>
            <description>Old Turkic</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>ua</name>
        <shortDescription>uk</shortDescription>
        <description>Ukrainian</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Ukrainian (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>gb</name>
        <shortDescription>en</shortDescription>
        <description>English (UK)</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>English (UK, Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>kr</name>
        <shortDescription>ko</shortDescription>
        <description>Korean</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>sun_type6</name>
            <description>Korean (Sun Type 6/7)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>vn</name>
        <!-- Keyboard indicator for Vietnamese layouts -->
        <shortDescription>vi</shortDescription>
        <description>Vietnamese</description>
        <languageList>
          <iso639Id>vie</iso639Id>
        </languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>aderty</name>
            <description>Vietnamese (AÐERTY)</description>
          </configItem>
        </variant>
        <variant>
          <configItem popularity="exotic">
            <name>qderty</name>
            <description>Vietnamese (QĐERTY)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>eu</name>
        <!-- Keyboard indicator for European layouts -->
        <shortDescription>eu</shortDescription>
        <description>EurKEY (US)</description>
        <languageList>
          <iso639Id>cat</iso639Id>
          <iso639Id>dan</iso639Id>
          <iso639Id>eng</iso639Id>
          <iso639Id>est</iso639Id>
          <iso639Id>fao</iso639Id>
          <iso639Id>fin</iso639Id>
          <iso639Id>ger</iso639Id>
          <iso639Id>gre</iso639Id>
          <iso639Id>gsw</iso639Id>
          <iso639Id>ita</iso639Id>
          <iso639Id>lav</iso639Id>
          <iso639Id>lit</iso639Id>
          <iso639Id>nld</iso639Id>
          <iso639Id>nor</iso639Id>
          <iso639Id>por</iso639Id>
          <iso639Id>spa</iso639Id>
          <iso639Id>swe</iso639Id>
        </languageList>
      </configItem>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>cm</name>
        <shortDescription>cm</shortDescription>
        <description>English (Cameroon)</description>
      </configItem>
      <variantList>
        <variant>
          <configItem popularity="exotic">
            <name>mmuock</name>
            <description>Mmuock</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
    <layout>
      <configItem popularity="exotic">
        <name>trans</name>
        <!-- Keyboard layouts for transcription and transliteration systems -->
        <description>International Phonetic Alphabet</description>
      </configItem>
      <variantList/>
    </layout>
    <layout>
      <configItem>
        <name>in</name>
        <!-- Keyboard indicator for Indian layouts -->
        <shortDescription>in</shortDescription>
        <description>Indian</description>
      </configItem>
      <variantList>
        <variant>
          <configItem>
            <name>modi-kagapa</name>
            <shortDescription>mr</shortDescription>
            <description>Modi (KaGaPa phonetic)</description>
            <languageList>
              <iso639Id>mar</iso639Id>
            </languageList>
          </configItem>
        </variant>
      </variantList>
    </layout>
  </layoutList>
  <optionList>
    <group allowMultipleSelection="true">
      <!-- The key combination used to choose the 3rd (and 4th, together with Shift)
           level of symbols -->
      <configItem popularity="exotic">
        <name>lv3</name>
        <description>Key to choose the 3rd level</description>
      </configItem>
      <option>
        <configItem popularity="exotic">
          <name>lv3:4_switch_isolated</name>
          <description>Number key 4 when pressed in isolation</description>
        </configItem>
      </option>
      <option>
        <configItem popularity="exotic">
          <name>lv3:9_switch_isolated</name>
          <description>Number key 9 when pressed in isolation</description>
        </configItem>
      </option>
    </group>
    <group allowMultipleSelection="true">
      <!-- Tweaking the position of the "(" and ")" keys -->
      <configItem popularity="exotic">
        <name>parens</name>
        <description>Parentheses position</description>
      </configItem>
      <option>
        <configItem popularity="exotic">
          <name>parens:swap_brackets</name>
          <description>Swap with square brackets</description>
        </configItem>
      </option>
    </group>
  </optionList>
</xkbConfigRegistry>
